KDE 4.7 PyKDE API Reference

- KDE's Python API

# RequestProperty Class Reference

`from PyKDE4.nepomuk import *`

Namespace: Nepomuk.Query.Query

## Detailed Description

\class RequestProperty query.h Nepomuk/Query/Query

A request property can be added to a Query to retrieve additional information about the results.

Normally a query would simply yield a list of resources, ie. URIs. Using RequestProperty one can request additional fields such as the modification time or the label or whatever is of interest in the current context.

\sa addRequestProperty, setRequestProperties

## Methods
| __init__ (self, Nepomuk.Types.Property property, bool optional=1)
| __init__ (self, Nepomuk.Query.Query.RequestProperty a0)
bool | operator == (self, Nepomuk.Query.Query.RequestProperty other)
bool | optional (self)
Nepomuk.Types.Property | property (self)

## Method Documentation

__init__ | ( | self, |
|  | Nepomuk.Types.Property | property,
|  | bool | optional=1
| ) |  |  |

Create a new request property.

Parameters:

  | property | The requested %property.

Parameters:

  | optional | if true the requested property will be %optional, ie. marked as OPTIONAL in SPARQL queries.

__init__ | ( | self, |
|  | Nepomuk.Query.Query.RequestProperty | a0
| ) |  |  |

Copy constructor.

bool operator == | ( | self, |
|  | Nepomuk.Query.Query.RequestProperty | other
| ) |  |  |

Comparison operator. Two RequestProperty instances are equal if their property() and value of optional() are equal.

bool optional | ( |  | self ) |

Returns:
  The optional value set in the constructor.

Nepomuk.Types.Property property | ( |  | self ) |

Returns:
  The property set in the constructor.